/2026-01/retail-media/line-items/{line-item-id}/products/pause
curl --request POST \
--url https://api.criteo.com/2026-01/retail-media/line-items/{line-item-id}/products/pause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"bidOverride": 123,
"id": "<string>"
},
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2026-01/retail-media/line-items/{line-item-id}/products/pause"
payload = { "data": [
{
"attributes": {
"bidOverride": 123,
"id": "<string>"
},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {bidOverride: 123, id: '<string>'},
id: '<string>',
type: '<string>'
}
]
})
};
fetch('https://api.criteo.com/2026-01/retail-media/line-items/{line-item-id}/products/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
/2026-01/retail-media/line-items/{line-item-id}/products/pause
Pause a collection of promoted products associated with a line item
POST
/
2026-01
/
retail-media
/
line-items
/
{line-item-id}
/
products
/
pause
/2026-01/retail-media/line-items/{line-item-id}/products/pause
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://api.criteo.com/oauth2
- Token URL
- https://api.criteo.com/oauth2/token
FlowClient Credentials
- Token URL
- https://api.criteo.com/oauth2/token
Scopes1
RetailMedia_Campaign_Manage
Grants Manage access to the capabilities from the Campaign domain, for RetailMedia applications
Path Parameters
ID of the line item
Body
application/json
Request body whose {data} contains an array of promoted products.
Request object containing promoted products to be appended, deleted, paused or unpaused.
Show child attributes
Show child attributes
Response
204
Promoted products paused
Was this page helpful?